- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Geometry.cpp File Reference

`#include <osg/Geometry>`
`#include <osg/Notify>`

Include dependency graph for Geometry.cpp:

## Functions
unsigned int | _computeNumberOfPrimtives (const osg::Geometry &geom)
template<class A>
bool | _verifyBindings (const osg::Geometry &geom, const A &arrayData)
template<class A>
void | _computeCorrectBindingsAndArraySizes (std::ostream &out, const osg::Geometry &geom, A &arrayData, const char *arrayName)
Geometry * | osg::createTexturedQuadGeometry (const Vec3 &corner, const Vec3 &widthVec, const Vec3 &heightVec, float l, float b, float r, float t)
| Convenience function to be used for creating quad geometry with texture coords.

## Function Documentation

template<class A>
void _computeCorrectBindingsAndArraySizes | ( | std::ostream & | out,
|  | const osg::Geometry & | geom,
|  | A & | arrayData,
|  | const char * | arrayName
| ) |

unsigned int _computeNumberOfPrimtives | ( | const osg::Geometry & | geom | ) |

template<class A>
bool _verifyBindings | ( | const osg::Geometry & | geom,
|  | const A & | arrayData
| ) |